### Method

# Gio TlsDatabase verify_chain_finish

since: 2.30

#### Declaration

    GTlsCertificateFlags
    g_tls_database_verify_chain_finish (
      GTlsDatabase* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Finish an asynchronous verify chain operation. See `g_tls_database_verify_chain()` for more information.

If `chain` is found to be valid, then the return value will be 0. If `chain` is found to be invalid, then the return value will indicate the problems found. If the function is unable to determine whether `chain` is valid or not (eg, because `cancellable` is triggered before it completes) then the return value will be `G_TLS_CERTIFICATE_GENERIC_ERROR` and `error` will be set accordingly. `error` is not set when `chain` is successfully analyzed but found to be invalid.

Available since: 2.30

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GTlsCertificateFlags`

The appropriate `GTlsCertificateFlags` which represents the result of verification.